Page MenuHomePhabricator

Arabic lemma with wrong lang, dir in LexemeLinkFormatter
Closed, DeclinedPublic

Description

A Lexeme with only an arabic lemma, when shown on Special:AllPages, shows the lemma marked-up as lang "en" and dir "ltr".

Expected:

  • lang is "ar"
  • dir is "rtl"
  • should apply for all known languages respectively


Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptJun 7 2018, 8:48 AM
Restricted Application added a subscriber: alanajjar. · View Herald Transcript
Pablo-WMDE closed this task as Declined.Jun 7 2018, 9:08 AM
Pablo-WMDE added a subscriber: Lea_Lacroix_WMDE.

Apparently T195382 did not make it to production in full, yet. Production is still at (593cade). Visually however this does not make a difference, the mark-up is slightly different from what the "final" version will be. /cc @Lea_Lacroix_WMDE

Vvjjkkii renamed this task from Arabic lemma with wrong lang, dir in LexemeLinkFormatter to vhbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from vhbaaaaaaa to Arabic lemma with wrong lang, dir in LexemeLinkFormatter.Jul 2 2018, 3:12 PM
CommunityTechBot closed this task as Declined.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)